Bug 6730 - Rename 'basket' filter to 'basket name' on receive page
Summary: Rename 'basket' filter to 'basket name' on receive page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL: cgi-bin/koha/acqui/parcel.pl?supplier...
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-16 17:56 UTC by Nicole C. Engard
Modified: 2019-04-26 13:47 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
basket number (47.65 KB, image/png)
2011-08-16 17:56 UTC, Nicole C. Engard
Details
Bug 6730: Rename 'basket' filter to 'basket name' on receive page (1.34 KB, patch)
2019-04-09 22:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6730: Rename 'basket' filter to 'basket name' on receive page (1.38 KB, patch)
2019-04-15 19:59 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 6730: Rename 'basket' filter to 'basket name' on receive page (1.45 KB, patch)
2019-04-17 09:43 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-16 17:56:34 UTC
The basket number on the receive items table shows the basket number given by Koha, not the basket number the librarian gave it.  The librarian doesn't necessarily know the number Koha assigned and so it should show the number that they chose.

The same with the filter on the left - it filters on the basket number assigned by Koha, that's not a number the librarian necessarily knows.
Comment 1 Nicole C. Engard 2011-08-16 17:56:58 UTC
Created attachment 5033 [details]
basket number
Comment 2 Katrin Fischer 2019-04-09 22:30:30 UTC
The filter works on the basket name, I suggest we just relabel it to make it more clear. Both the basket name and it's number are shown in the table.
Comment 3 Katrin Fischer 2019-04-09 22:35:58 UTC
Created attachment 87689 [details] [review]
Bug 6730: Rename 'basket' filter to 'basket name' on receive page

This way it's clear that you can search for the name here, but
not for the number. It also matches the labelling of the
other filter: Basket group name below.

To test:
- Receive shipment
- Enter invoice number and go to receive page
- Look at the filters on the left
- Confirm the changed label and that basket name is searched
Comment 4 Michal Denar 2019-04-15 19:59:06 UTC
Created attachment 88035 [details] [review]
Bug 6730: Rename 'basket' filter to 'basket name' on receive page

This way it's clear that you can search for the name here, but
not for the number. It also matches the labelling of the
other filter: Basket group name below.

To test:
- Receive shipment
- Enter invoice number and go to receive page
- Look at the filters on the left
- Confirm the changed label and that basket name is searched

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 5 Martin Renvoize 2019-04-17 09:43:20 UTC
Created attachment 88157 [details] [review]
Bug 6730: Rename 'basket' filter to 'basket name' on receive page

This way it's clear that you can search for the name here, but
not for the number. It also matches the labelling of the
other filter: Basket group name below.

To test:
- Receive shipment
- Enter invoice number and go to receive page
- Look at the filters on the left
- Confirm the changed label and that basket name is searched

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-04-17 09:43:45 UTC
Woop, woop.. another four digit bug bites the dust..

Passing QA
Comment 7 Nick Clemens 2019-04-18 12:09:15 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-04-26 13:47:05 UTC
Minor string change, not backporting to 18.11.x series.